%global githash 3017160f847564879520c564b4bb04abb7b680fe


Name:		signpost-core
Version:	1.2.1.2
Release:	%mkrel 11
Summary:	A simple, light-weight, and modular OAuth client library for the Java platform

Group:		Development/Java
License:	ASL 2.0
URL:		https://github.com/mttkay/signpost
Source0:	https://github.com/mttkay/signpost/archive/%{githash}/signpost-%{githash}.tar.gz
Source1:	http://www.apache.org/licenses/LICENSE-2.0.txt

BuildArch:	noarch 
BuildRequires:	maven-local
BuildRequires:	mvn(commons-codec:commons-codec)
BuildRequires:	mvn(junit:junit)
BuildRequires:	mvn(org.apache.maven.plugins:maven-release-plugin)
BuildRequires:	mvn(org.mockito:mockito-core)

%description
Signpost is the easy and intuitive solution for signing HTTP messages on the 
Java platform in conformance with the OAuth Core 1.0a standard. 
Signpost follows a modular and flexible design, allowing you to combine it with
different HTTP messaging layers

%package -n oauth-signpost
Summary:	Parent POM for %{name}

%description -n oauth-signpost
This package contains the Parent POM for %{name}.

%package javadoc
Summary:	Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n signpost-%{githash}

# Remove pre-built JAR and class files
find -name '*.jar' -delete
find -name '*.class' -delete

cp -p %{SOURCE1} LICENSE
sed -i 's/\r//' LICENSE

# Unneeded modules
%pom_disable_module signpost-commonshttp4
%pom_disable_module signpost-jetty6

# Resolve javadoc doclint problems
%pom_remove_plugin :maven-javadoc-plugin
# Unneeded task
%pom_remove_plugin -r :maven-antrun-plugin

%mvn_file :%{name} %{name}

%build
%mvn_build -s

%install
%mvn_install

%files -f .mfiles-%{name}
%doc README.markdown
%license LICENSE

%files -n oauth-signpost -f .mfiles-oauth-signpost
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE




%changelog
* Tue Mar 01 2016 daviddavid <daviddavid> 1.2.1.2-11.mga6
+ Revision: 981417
- First rebuild of the java stack
- sync package signpost-core with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.2.1.2-5.mga5
+ Revision: 744090
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.1.2-4.mga5
+ Revision: 689155
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.2.1.2-3.mga4
+ Revision: 518345
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.2.1.2-2.mga3
+ Revision: 382021
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 01 2013 matteo <matteo> 1.2.1.2-1.mga3
+ Revision: 337366
- spec file reviewed
- Imported Fedora package


* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Mar 13 2012 Cédric OLIVIER <cedric.olivier@free.fr> 1.2.1.2-1
- Update to release 1.2.1.2

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Jun 27 2011 Cédric OLIVIER <cedric.olivier@free.fr> 1.2.1.1-6
- Add require on commons-codec (bug 714777)

-* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1.1-5
-- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jan 25 2011 Cédric OLIVIER <cedric.olivier@free.fr> 1.2.1.1-4
- Add fully dependency in javadoc subpackage

* Sun Jan 16 2011 Cédric OLIVIER <cedric.olivier@free.fr> 1.2.1.1-3
- Remove unnedded clean section
- Remove unneeded requires in javadoc section

* Sun Jan 16 2011 Cédric OLIVIER <cedric.olivier@free.fr> 1.2.1.1-2
- According to Java packaging guidelines version removed from jar file name 

* Sat Jan 15 2011 Cédric OLIVIER <cedric.olivier@free.fr> 1.2.1.1-1
- First release
